Code::Blocks

User forums => Help => Topic started by: JPortici on June 01, 2017, 05:27:29 pm

Title: Yet another "a matching release configuration cannot be found" thread
Post by: JPortici on June 01, 2017, 05:27:29 pm
Hi,
I wanted to evaluate wxwidgets as an alternative to visual studio (VB6, VB.net, visual c++) I had a look at the various IDEs proposed by wxWidget's website and code::blocks seems to be the one i'm looking for, or at least the closest one.

However, i have tried several combinations of versions and installers and i keep getting the "invalid path" error after the first time i set the wx global variable, or everytime i enter the path manually
I think it is related... and I'm not sure if it is a wxwidgets problem or a code blocks problem.... but i am using installers. they are the one that should be taking care of this stuff.

I tried with code blocks installer, versions 16.01 and 13.12 both with and without mingw (in that case i would have installed mingw and selected as compiler)
wxwidgets installers, versions 3.0.3 and 2.8.12

just to be sure i placed everything on the C:/ root folder, in case there was a space character or two in the path

My machine is using windows 7 pro, 64 bit

If anyone can help me, please. The other topics were not of help (and i'd rather not recompile sources. I am using windows AND using installers to avoid that sort of stuff. Double click, go, get to work)
Title: Re: Yet another "a matching release configuration cannot be found" thread
Post by: BlueHazzard on June 01, 2017, 05:55:25 pm
Can you ignore the message and finish the wizard?

After the wizard has finished you can set the missing things by hand....

The configuration that works for me:
Codeblocks trunk (this should work with a release version or a nightly too)
wxWidgets 2.8, downloaded the source code from the website and build by hand with this command line:
Code: [Select]
mingw32-make -f makefile.gcc SHARED=1 MONOLITHIC=1 BUILD=release UNICODE=1(for more information how i build wxWidgets read the chapter about building wxWidgets from here: http://wiki.codeblocks.org/index.php/Installing_Code::Blocks_from_source_on_Windows )
Create a new Project with the wizard:
1. page: next
2. page: wxWidgets 2.8
3. page: Title ecc.
4. page: auhor ecc
5. page: Preferred gui builder: wxSmith Application type Dialog based
6. page: The base location of wxWidgets (i use global variables so here i have "$(#wx)"
7. page: all default -> next
8. page: tick at Use wxWidgets DLL, build as a monolithic library, enable unicode
9. page: ok

If you use global variables at the path like meŽ, and you don't have this variable you will get a error message and a dialog asking you for the global variable wx.
Enter in "base": The base path to your wx source installation (the folder in what the include folder is)

i hope this helps
Title: Re: Yet another "a matching release configuration cannot be found" thread
Post by: stahta01 on June 01, 2017, 06:14:35 pm
The normal wxWidgets installers install source code ONLY.

Did you use the wxWidgets binaries instead of the installers?

Link to binaries for wxWidgets 3.0.3
https://github.com/wxWidgets/wxWidgets/releases/tag/v3.0.3 (https://github.com/wxWidgets/wxWidgets/releases/tag/v3.0.3)

NOTE: The error you got will happen with an unedited wxWidgets CB wizard and binaries for wxWidgets.

I started work on how to edit the wxWidgets CB wizard.
It requires copying two files into the CB installation.

If you want, I will post those directions and file download location?

Edit2: Link to CB Wiki: On my old directions on how work around the issues in the current CB wxWidget's wizard.
http://wiki.codeblocks.org/index.php/Using_wxWidgets_%28MSW%29_3.0_Binary_with_Code::Blocks_Scripted_Wizard (http://wiki.codeblocks.org/index.php/Using_wxWidgets_%28MSW%29_3.0_Binary_with_Code::Blocks_Scripted_Wizard)

Tim S.